From f6fd44cf5ceca95915cbeadc551c22e382de7597 Mon Sep 17 00:00:00 2001
From: Daniel T Chen <crimsun@ubuntu.com>
Date: Sat, 11 Sep 2010 22:02:28 -0400
Subject: [PATCH] alsactl init: Add db entry for Compaq nx6110 quirk

BugLink: https://launchpad.net/bugs/585777

The reporter has verified that 'Headphone Jack Sense' should be unmuted
so that audio is audible by default.  To do so, I've added a separate
file for the ICH4/5/6 configuration.

Reported-and-Tested-by: Antonio
Signed-off-by: Daniel T Chen <crimsun@ubuntu.com>
---
 alsactl/init/00main      |    1 +
 alsactl/init/Makefile.am |    2 +-
 alsactl/init/ich4        |   12 ++++++++++++
 3 files changed, 14 insertions(+), 1 deletions(-)
 create mode 100644 alsactl/init/ich4

diff --git a/alsactl/init/00main b/alsactl/init/00main
index 660df38..beb72a1 100644
--- a/alsactl/init/00main
+++ b/alsactl/init/00main
@@ -31,6 +31,7 @@ RESULT=="skip", GOTO="init_end"
 
 # real ALSA configuration database
 CARDINFO{driver}=="HDA-Intel", INCLUDE="hda", GOTO="init_end"
+CARDINFO{driver}=="ICH4", INCLUDE="ich4", GOTO="init_end"
 CARDINFO{driver}=="CA0106", INCLUDE="ca0106", GOTO="init_end"
 CARDINFO{driver}=="Test", INCLUDE="test", GOTO="init_end"
 
diff --git a/alsactl/init/Makefile.am b/alsactl/init/Makefile.am
index 9e2b83d..396d398 100644
--- a/alsactl/init/Makefile.am
+++ b/alsactl/init/Makefile.am
@@ -1,6 +1,6 @@
 
 init_files = \
-	00main default help info test \
+	00main default help ich4 info test \
 	hda
 EXTRA_DIST = $(init_files)
 alsainitdir = $(datadir)/alsa/init
diff --git a/alsactl/init/ich4 b/alsactl/init/ich4
new file mode 100644
index 0000000..eccba2f
--- /dev/null
+++ b/alsactl/init/ich4
@@ -0,0 +1,12 @@
+# Configuration for Intel ICH4/5/6
+
+CARDINFO{mixername}=="Analog Devices AD1981B", \
+  ATTR{subsystem_vendor}=="0x103c", ATTR{subsystem_device}=="0x099c", \
+  GOTO="Compaq nx6110"
+RESULT="false", EXIT="return"
+
+LABEL="Compaq nx6110"
+# playback
+CTL{reset}="mixer"
+CTL{name}="Headphone Jack Sense", CTL{value}="on"
+RESULT="true", EXIT="return"
-- 
1.7.0.4
